import { h } from "vue";
import { RouterLink } from "vue-router";

export const TopMenu = [
  {
    label: () =>
      h(
        RouterLink,
        {
          to: {
            name: "Home",
            params: {
              lang: "zh-CN",
            },
          },
        },
        { default: () => "Zelda" }
      ),
    key: "home",
    // icon: renderIcon(HomeIcon)
  },
  {
    label: () =>
      h(
        RouterLink,
        {
          to: {
            name: "Kubernetes",
            params: {
              lang: "zh-CN",
            },
          },
        },
        { default: () => "Kubernetes" }
      ),
    key: "kubernetes",
    // icon: renderIcon(WorkIcon)
  },
];

export const ZeldaSideMenu = [
  {
    label: () =>
      h(
        RouterLink,
        {
          to: {
            name: "Home",
            params: {
              lang: "zh-CN",
            },
          },
        },
        { default: () => "概览" }
      ),
    key: "home",
    // icon: renderIcon(HomeIcon)
  },
  {
    label: () =>
      h(
        RouterLink,
        {
          to: {
            name: "ZProject",
            params: {
              lang: "zh-CN",
            },
          },
        },
        { default: () => "项目" }
      ),
    key: "zproject",
    // icon: renderIcon(WorkIcon)
  },
  {
    label: () =>
      h(
        RouterLink,
        {
          to: {
            name: "ZService",
            params: {
              lang: "zh-CN",
            },
          },
        },
        { default: () => "服务" }
      ),
    key: "zservice",
    // icon: renderIcon(WorkIcon)
  },
];
